package main

import (
	"fmt"
	"github.com/rs/zerolog"
	"github.com/rs/zerolog/log"
	"os"
	"time"
	"watn3y/bloaterbotv3/commands/gaypoints"
	"watn3y/bloaterbotv3/commands/notify"
	"watn3y/bloaterbotv3/config"
	"watn3y/bloaterbotv3/webserver"
)

func main() {
	fmt.Println("Starting bloaterbot...")

	configureLogger()
	config.LoadConfig()
	gaypoints.InitDB()
	notify.InitDB()
	go webserver.RunWeb()
	bot()

}

func configureLogger() {
	output := zerolog.ConsoleWriter{Out: os.Stdout, TimeFormat: time.DateTime}
	log.Logger = zerolog.New(output).With().Timestamp().Caller().Logger()
	zerolog.SetGlobalLevel(zerolog.TraceLevel)
	log.Info().Msg("Started zerolog logger")
}
