package webserver

import (
	"github.com/rs/zerolog/log"
	"net/http"
)

func RunWeb() {
	fs := http.FileServer(http.Dir("./videos"))
	http.Handle("/", fs)

	log.Info().Str("port", "3556").Str("path", "./videos").Msg("Starting webserver")

	err := http.ListenAndServe(":3556", nil)

	if err != nil {
		log.Panic().Err(err).Msg("Failed to start webserver")
	}

}
